Bug 24727 - Typo in circulation.js
Summary: Typo in circulation.js
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low major (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 14697
Blocks: 24725
  Show dependency treegraph
 
Reported: 2020-02-25 13:16 UTC by Jonathan Druart
Modified: 2020-03-18 16:41 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.04


Attachments
Bug 24727: (bug 14697 follow-up) Fix typo in script name (1.49 KB, patch)
2020-02-25 13:18 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24727: (bug 14697 follow-up) Fix typo in script name (1.55 KB, patch)
2020-02-25 13:35 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24727: (bug 14697 follow-up) Fix typo in script name (1.62 KB, patch)
2020-02-25 14:41 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24727: (bug 14697 follow-up) Replace link on title to bib detail page (1.79 KB, patch)
2020-02-26 09:02 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24727: (bug 14697 follow-up) Replace link on title to bib detail page (1.85 KB, patch)
2020-02-29 09:04 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2020-02-25 13:16:30 UTC
903                               let title = `<a class="return-claim-title strong" href="/cgi-bin/koha/circ/request-rcticle.pl?biblionumber=[% rc.checkout.item.biblionumber | html %]">

request-rcticle.pl vs request-acticle.pl
Comment 1 Jonathan Druart 2020-02-25 13:18:49 UTC
Created attachment 99579 [details] [review]
Bug 24727: (bug 14697 follow-up) Fix typo in script name

903                               let title = `<a
class="return-claim-title strong"
href="/cgi-bin/koha/circ/request-rcticle.pl?biblionumber=[%
rc.checkout.item.biblionumber | html %]">

request-rcticle.pl vs request-acticle.pl

Test plan:
cf bug 14697
Comment 2 Jonathan Druart 2020-02-25 13:31:06 UTC
Test plan:
 - Have something in the claim table (cf bug 14697)
 - Click on the title of the bibliographic record
Comment 3 Jonathan Druart 2020-02-25 13:35:20 UTC
Created attachment 99581 [details] [review]
Bug 24727: (bug 14697 follow-up) Fix typo in script name

903                               let title = `<a
class="return-claim-title strong"
href="/cgi-bin/koha/circ/request-rcticle.pl?biblionumber=[%
rc.checkout.item.biblionumber | html %]">

request-rcticle.pl vs request-acticle.pl

Test plan:
- Have something in the claim table (cf bug 14697)
- Click on the title of the bibliographic record
Comment 4 Jonathan Druart 2020-02-25 13:35:52 UTC
We actually want to link to the detail page, right?
Comment 5 Bernardo Gonzalez Kriegel 2020-02-25 14:36:54 UTC
(In reply to Jonathan Druart from comment #4)
> We actually want to link to the detail page, right?

I don't have the answer, but the fix shouldn't have been:

  href="/cgi-bin/koha/circ/request-article.pl?biblionumber=[% 
  rc.checkout.item.biblionumber | html %]

i.e.
  
  rcticle -> article?

On the other hand, I see that sometimes [% biblionumber | html ] is used, and other times [% biblionumber | uri %]. It's the same?
Comment 6 Martin Renvoize 2020-02-25 14:40:27 UTC
(In reply to Jonathan Druart from comment #4)
> We actually want to link to the detail page, right?

Yeah, that looks like a copy/paste or rebase error to me.. I think you're right.. it should be the biblio detail link.

Latest patch looks good to me.. looks like you've handled the backticks issue in bug 24725.. thanks :)
Comment 7 Martin Renvoize 2020-02-25 14:41:22 UTC
Created attachment 99588 [details] [review]
Bug 24727: (bug 14697 follow-up) Fix typo in script name

903                               let title = `<a
class="return-claim-title strong"
href="/cgi-bin/koha/circ/request-rcticle.pl?biblionumber=[%
rc.checkout.item.biblionumber | html %]">

request-rcticle.pl vs request-acticle.pl

Test plan:
- Have something in the claim table (cf bug 14697)
- Click on the title of the bibliographic record

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 8 Joonas Kylmälä 2020-02-26 09:01:34 UTC
The patch commit message doesn't describe the change. Failing QA.
Comment 9 Jonathan Druart 2020-02-26 09:02:45 UTC
Created attachment 99632 [details] [review]
Bug 24727: (bug 14697 follow-up) Replace link on title to bib detail page

903                               let title = `<a
class="return-claim-title strong"
href="/cgi-bin/koha/circ/request-rcticle.pl?biblionumber=[%
rc.checkout.item.biblionumber | html %]">

At first it seems like a typo:
request-rcticle.pl vs request-acticle.pl

But actually it does not make sense to link to request-article, we want
(I think) to link to the bibliographic record detail page.

Test plan:
- Have something in the claim table (cf bug 14697)
- Click on the title of the bibliographic record

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 10 Katrin Fischer 2020-02-29 09:04:20 UTC
Created attachment 99806 [details] [review]
Bug 24727: (bug 14697 follow-up) Replace link on title to bib detail page

903                               let title = `<a
class="return-claim-title strong"
href="/cgi-bin/koha/circ/request-rcticle.pl?biblionumber=[%
rc.checkout.item.biblionumber | html %]">

At first it seems like a typo:
request-rcticle.pl vs request-acticle.pl

But actually it does not make sense to link to request-article, we want
(I think) to link to the bibliographic record detail page.

Test plan:
- Have something in the claim table (cf bug 14697)
- Click on the title of the bibliographic record

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 11 Katrin Fischer 2020-02-29 11:22:53 UTC
We might want to change this one because of bug 24725!
Comment 12 Katrin Fischer 2020-02-29 11:24:12 UTC
(In reply to Katrin Fischer from comment #11)
> We might want to change this one because of bug 24725!

... and there already is a dependency.
Comment 13 Martin Renvoize 2020-03-02 09:47:37 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 14 Joy Nelson 2020-03-12 23:45:33 UTC
Pushed to 19.11.x branch for 19.11.04
Comment 15 Lucas Gass 2020-03-18 16:41:34 UTC
missing 19.05.x dependency, no backport